Loading...
Searching...
No Matches
L4virtio::Svr::Console::Port::Transition Struct Reference

State transition from last report state to current state. More...

`#include <virtio-console>`

Collaboration diagram for L4virtio::Svr::Console::Port::Transition:

## Data Fields

l4_int16_t | event
| Control_message::Events or <0 if no event is sent.
l4_uint16_t | value
| Extra information.
Port_status | next
| Next Port_status state.

## Detailed Description

State transition from last report state to current state.

Definition at line 169 of file virtio-console.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio-console